Moderate a post in private league by league admin

Moderate a user's post by league admin.

Optionally send moderation_reason_code to categorise the moderation. The post then returns it as moderated_reason_code. See the field description for the list of possible codes.

Authentication: User's JWT token acquired from Firebase with sufficient user permissions.

Path Params
string
required
\S

Post ID

Query Params
string
required
^([A-Za-z\d_])+

ID of the client.

string
required
\S

Client API key

Body Params
string
required
\S

Moderation reason

string
enum

Moderation reason category code. Possible values:

  • none: No violation, comment approved
  • animal_welfare: Animal welfare / living conditions of animals
  • consumer_rights: Violation of consumer rights
  • online_harassment: Online harassment (cyberbullying, doxxing, deepfake)
  • attacks_on_women: Online attacks targeting women
  • data_protection: Violation of personal data protection
  • privacy: Violation of privacy
  • hate_speech: Hateful and degrading speech, incitement against groups and individuals
  • intellectual_property: Violation of intellectual property rights (e.g. authorship)
  • public_discourse: Negative impact on public discourse
  • illegal_content: Allegedly illegal content (unspecified)
  • terms_violation: Other violation of the service's terms and conditions
  • public_order: Risk to public order
  • fraud_prohibited_goods: Fraudulent conduct, sale and promotion of prohibited goods and services
  • protection_of_minors: Abuse or endangering of minors, racial, ethnic and other intolerance
  • sexual_content: Publication of pornography and sexually explicit content
  • violence: Depiction and promotion of violence
  • self_harm: Self-harm

Values are matched case-insensitively on input; unknown values are treated as null.

ai_assessment
object

AI asssessment

boolean

Whether the post was moderated by AI

Responses

400

Bad request

401

Unauthorized

403

Forbidden

404

Resource not found

500

Internal server error

Language
Credentials
Bearer
jwt
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json